Skip to main content
GET
/
v3
/
messages
/
opt_outs
Get a list of opted-out phone numbers
curl --request GET \
  --url https://api.wavix.com/v3/messages/opt_outs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "phone_number": "15551234567",
      "sender_id": "MySender",
      "campaign_id": null,
      "created_at": "2024-01-15T10:30:00Z"
    },
    {
      "phone_number": "15559876543",
      "sender_id": null,
      "campaign_id": "C123456",
      "created_at": "2024-01-16T14:45:00Z"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total": 2,
    "total_pages": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Query Parameters

sender_id
string

Return only the phone numbers that opted out of a specific Sender ID.

campaign_id
string

Return only the phone numbers that opted out of a specific 10DLC Campaign.

created_after
string<date>

Start date of your search time range, in 'yyyy-mm-dd' format.

created_before
string<date>

End date of your search time range, in 'yyyy-mm-dd' format.

page
integer

Requested page

Required range: x >= 1
per_page
integer

Number of records per page.

Required range: 1 <= x <= 100

Response

A paginated list of opted-out phone numbers that match the filter criteria.

items
OptOutItem · object[]
pagination
Pagination · object